II7 Integrated Mode

Topics: ASP.NET 2.0
Jun 27, 2010 at 8:01 AM

The Documentation for the Installation, section 6 - II7 says "Click the "Select" button and the choose "Classic .NET AppPool" from the dropdown. If you don't do this, some of the software will fail in strange ways."

Is this still true for the latest versions such as 1.6.1? I am using the BlogEngine.NET 1.6.1 under the integrated mode of II7 as there is no choice other than using the integrated mode. So far, however, the BlogEngine.NET 1.6.1 is working fime without such starnge software fail.

Jun 28, 2010 at 2:41 PM
i didn't see the document but so far i know webconfig updated for iis7. I am working with iis7, i guess a lot of people too.
Jun 30, 2010 at 11:27 AM

Hi pathway,

Thank you for the response. There is the document in the following
page. Please see section 6 - IIS 7, application pools.


I agree that web.config is OK for the IIS7 Integrated mode. Actually
my BlogEngine 1.6.1 is operating properly under the IIS Integrated mode.
Therefore, I guess that the description in section 6 - IIS7 application
pool is obsolete at least for Version 1.6.1. But there is no assurance.
I hope that author will revise the document to give users a proper
guideline if the IIS Integrated mode can be used for the higher versions.